Loading...
Searching...
No Matches
_i_session Struct Reference
struct _i_session definition

`#include <iddawc.h>`

## Data Fields

unsigned int | response_type
char * | scope
char * | state
char * | nonce
char * | redirect_uri
char * | redirect_to
char * | client_id
char * | client_secret
char * | username
char * | user_password
struct _u_map | additional_parameters
struct _u_map | additional_response
char * | authorization_endpoint
char * | token_endpoint
char * | openid_config_endpoint
char * | userinfo_endpoint
char * | revocation_endpoint
char * | introspection_endpoint
char * | end_session_endpoint
char * | check_session_iframe
char * | device_authorization_endpoint
char * | registration_endpoint
char * | registration_client_uri
char * | pushed_authorization_request_endpoint
unsigned int | result
char * | error
char * | error_description
char * | error_uri
char * | code
char * | refresh_token
char * | access_token
json_t * | access_token_payload
char * | token_target
char * | token_target_type_hint
char * | token_type
unsigned int | expires_in
time_t | expires_at
char * | id_token
json_t * | id_token_payload
unsigned int | auth_method
unsigned int | token_method
jwks_t * | server_jwks
char * | server_kid
time_t | server_jwks_cache_expires_at
time_t | server_jwks_cache_expiration
jwa_alg | server_enc_alg
jwa_enc | server_enc
jwks_t * | client_jwks
char * | client_kid
jwa_alg | client_sign_alg
jwa_alg | client_enc_alg
jwa_enc | client_enc
int | x5u_flags
unsigned int | response_body_limit
unsigned int | max_header
json_t * | openid_config
int | openid_config_strict
char * | issuer
char * | userinfo
json_t * | j_userinfo
char * | token_jti
unsigned int | token_exp
json_t * | j_authorization_details
char * | device_auth_code
char * | device_auth_user_code
char * | device_auth_verification_uri
char * | device_auth_verification_uri_complete
unsigned int | device_auth_expires_in
unsigned int | device_auth_interval
unsigned int | require_pushed_authorization_requests
unsigned int | pushed_authorization_request_expires_in
char * | pushed_authorization_request_uri
int | use_dpop
char * | dpop_kid
jwa_alg | dpop_sign_alg
char * | dpop_nonce_as
char * | dpop_nonce_rs
int | decrypt_code
int | decrypt_refresh_token
int | decrypt_access_token
char * | http_proxy
char * | key_file
char * | cert_file
int | remote_cert_flag
char * | pkce_code_verifier
int | pkce_method
json_t * | j_claims
char * | resource_indicator
jwa_alg | access_token_signing_alg
jwa_alg | access_token_encryption_alg
jwa_enc | access_token_encryption_enc
jwa_alg | id_token_signing_alg
jwa_alg | id_token_encryption_alg
jwa_enc | id_token_encryption_enc
jwa_alg | userinfo_signing_alg
jwa_alg | userinfo_encryption_alg
jwa_enc | userinfo_encryption_enc
jwa_alg | request_object_signing_alg
jwa_alg | request_object_encryption_alg
jwa_enc | request_object_encryption_enc
jwa_alg | token_endpoint_signing_alg
jwa_alg | token_endpoint_encryption_alg
jwa_enc | token_endpoint_encryption_enc
jwa_alg | ciba_request_signing_alg
jwa_alg | ciba_request_encryption_alg
jwa_enc | ciba_request_encryption_enc
jwa_alg | auth_response_signing_alg
jwa_alg | auth_response_encryption_alg
jwa_enc | auth_response_encryption_enc
char * | ciba_endpoint
unsigned int | ciba_mode
char * | ciba_user_code
char * | ciba_login_hint
unsigned int | ciba_login_hint_format
char * | ciba_login_hint_kid
char * | ciba_binding_message
time_t | ciba_requested_expiry
char * | ciba_client_notification_token
char * | ciba_acr_values
char * | ciba_auth_req_id
char * | ciba_client_notification_endpoint
unsigned int | ciba_auth_req_expires_in
unsigned int | ciba_auth_req_interval
char * | frontchannel_logout_uri
unsigned int | frontchannel_logout_session_required
char * | backchannel_logout_uri
unsigned int | backchannel_logout_session_required
char * | post_logout_redirect_uri
char * | id_token_sid
unsigned int | save_http_request_response
struct _u_request * | saved_request
struct _u_response * | saved_response

## Field Documentation

## access_token

char* _i_session::access_token

## access_token_encryption_alg

jwa_alg _i_session::access_token_encryption_alg

## access_token_encryption_enc

jwa_enc _i_session::access_token_encryption_enc

## access_token_payload

json_t* _i_session::access_token_payload

## access_token_signing_alg

jwa_alg _i_session::access_token_signing_alg

## additional_parameters

struct _u_map _i_session::additional_parameters

## additional_response

struct _u_map _i_session::additional_response

## auth_method

unsigned int _i_session::auth_method

## auth_response_encryption_alg

jwa_alg _i_session::auth_response_encryption_alg

## auth_response_encryption_enc

jwa_enc _i_session::auth_response_encryption_enc

## auth_response_signing_alg

jwa_alg _i_session::auth_response_signing_alg

## authorization_endpoint

char* _i_session::authorization_endpoint

## backchannel_logout_session_required

unsigned int _i_session::backchannel_logout_session_required

## backchannel_logout_uri

char* _i_session::backchannel_logout_uri

## cert_file

char* _i_session::cert_file

## check_session_iframe

char* _i_session::check_session_iframe

## ciba_acr_values

char* _i_session::ciba_acr_values

## ciba_auth_req_expires_in

unsigned int _i_session::ciba_auth_req_expires_in

## ciba_auth_req_id

char* _i_session::ciba_auth_req_id

## ciba_auth_req_interval

unsigned int _i_session::ciba_auth_req_interval

## ciba_binding_message

char* _i_session::ciba_binding_message

## ciba_client_notification_endpoint

char* _i_session::ciba_client_notification_endpoint

## ciba_client_notification_token

char* _i_session::ciba_client_notification_token

## ciba_endpoint

char* _i_session::ciba_endpoint

## ciba_login_hint

char* _i_session::ciba_login_hint

## ciba_login_hint_format

unsigned int _i_session::ciba_login_hint_format

## ciba_login_hint_kid

char* _i_session::ciba_login_hint_kid

## ciba_mode

unsigned int _i_session::ciba_mode

## ciba_request_encryption_alg

jwa_alg _i_session::ciba_request_encryption_alg

## ciba_request_encryption_enc

jwa_enc _i_session::ciba_request_encryption_enc

## ciba_request_signing_alg

jwa_alg _i_session::ciba_request_signing_alg

## ciba_requested_expiry

time_t _i_session::ciba_requested_expiry

## ciba_user_code

char* _i_session::ciba_user_code

## client_enc

jwa_enc _i_session::client_enc

## client_enc_alg

jwa_alg _i_session::client_enc_alg

## client_id

char* _i_session::client_id

## client_jwks

jwks_t* _i_session::client_jwks

## client_kid

char* _i_session::client_kid

## client_secret

char* _i_session::client_secret

## client_sign_alg

jwa_alg _i_session::client_sign_alg

## code

char* _i_session::code

## decrypt_access_token

int _i_session::decrypt_access_token

## decrypt_code

int _i_session::decrypt_code

## decrypt_refresh_token

int _i_session::decrypt_refresh_token

## device_auth_code

char* _i_session::device_auth_code

## device_auth_expires_in

unsigned int _i_session::device_auth_expires_in

## device_auth_interval

unsigned int _i_session::device_auth_interval

## device_auth_user_code

char* _i_session::device_auth_user_code

## device_auth_verification_uri

char* _i_session::device_auth_verification_uri

## device_auth_verification_uri_complete

char* _i_session::device_auth_verification_uri_complete

## device_authorization_endpoint

char* _i_session::device_authorization_endpoint

## dpop_kid

char* _i_session::dpop_kid

## dpop_nonce_as

char* _i_session::dpop_nonce_as

## dpop_nonce_rs

char* _i_session::dpop_nonce_rs

## dpop_sign_alg

jwa_alg _i_session::dpop_sign_alg

## end_session_endpoint

char* _i_session::end_session_endpoint

## error

char* _i_session::error

## error_description

char* _i_session::error_description

## error_uri

char* _i_session::error_uri

## expires_at

time_t _i_session::expires_at

## expires_in

unsigned int _i_session::expires_in

## frontchannel_logout_session_required

unsigned int _i_session::frontchannel_logout_session_required

## frontchannel_logout_uri

char* _i_session::frontchannel_logout_uri

## http_proxy

char* _i_session::http_proxy

## id_token

char* _i_session::id_token

## id_token_encryption_alg

jwa_alg _i_session::id_token_encryption_alg

## id_token_encryption_enc

jwa_enc _i_session::id_token_encryption_enc

## id_token_payload

json_t* _i_session::id_token_payload

## id_token_sid

char* _i_session::id_token_sid

## id_token_signing_alg

jwa_alg _i_session::id_token_signing_alg

## introspection_endpoint

char* _i_session::introspection_endpoint

## issuer

char* _i_session::issuer

## j_authorization_details

json_t* _i_session::j_authorization_details

## j_claims

json_t* _i_session::j_claims

## j_userinfo

json_t* _i_session::j_userinfo

## key_file

char* _i_session::key_file

## max_header

unsigned int _i_session::max_header

## nonce

char* _i_session::nonce

## openid_config

json_t* _i_session::openid_config

## openid_config_endpoint

char* _i_session::openid_config_endpoint

## openid_config_strict

int _i_session::openid_config_strict

## pkce_code_verifier

char* _i_session::pkce_code_verifier

## pkce_method

int _i_session::pkce_method

## post_logout_redirect_uri

char* _i_session::post_logout_redirect_uri

## pushed_authorization_request_endpoint

char* _i_session::pushed_authorization_request_endpoint

## pushed_authorization_request_expires_in

unsigned int _i_session::pushed_authorization_request_expires_in

## pushed_authorization_request_uri

char* _i_session::pushed_authorization_request_uri

## redirect_to

char* _i_session::redirect_to

## redirect_uri

char* _i_session::redirect_uri

## refresh_token

char* _i_session::refresh_token

## registration_client_uri

char* _i_session::registration_client_uri

## registration_endpoint

char* _i_session::registration_endpoint

## remote_cert_flag

int _i_session::remote_cert_flag

## request_object_encryption_alg

jwa_alg _i_session::request_object_encryption_alg

## request_object_encryption_enc

jwa_enc _i_session::request_object_encryption_enc

## request_object_signing_alg

jwa_alg _i_session::request_object_signing_alg

## require_pushed_authorization_requests

unsigned int _i_session::require_pushed_authorization_requests

## resource_indicator

char* _i_session::resource_indicator

## response_body_limit

unsigned int _i_session::response_body_limit

## response_type

unsigned int _i_session::response_type

## result

unsigned int _i_session::result

## revocation_endpoint

char* _i_session::revocation_endpoint

## save_http_request_response

unsigned int _i_session::save_http_request_response

## saved_request

struct _u_request* _i_session::saved_request

## saved_response

struct _u_response* _i_session::saved_response

## scope

char* _i_session::scope

## server_enc

jwa_enc _i_session::server_enc

## server_enc_alg

jwa_alg _i_session::server_enc_alg

## server_jwks

jwks_t* _i_session::server_jwks

## server_jwks_cache_expiration

time_t _i_session::server_jwks_cache_expiration

## server_jwks_cache_expires_at

time_t _i_session::server_jwks_cache_expires_at

## server_kid

char* _i_session::server_kid

## state

char* _i_session::state

## token_endpoint

char* _i_session::token_endpoint

## token_endpoint_encryption_alg

jwa_alg _i_session::token_endpoint_encryption_alg

## token_endpoint_encryption_enc

jwa_enc _i_session::token_endpoint_encryption_enc

## token_endpoint_signing_alg

jwa_alg _i_session::token_endpoint_signing_alg

## token_exp

unsigned int _i_session::token_exp

## token_jti

char* _i_session::token_jti

## token_method

unsigned int _i_session::token_method

## token_target

char* _i_session::token_target

## token_target_type_hint

char* _i_session::token_target_type_hint

## token_type

char* _i_session::token_type

## use_dpop

int _i_session::use_dpop

## user_password

char* _i_session::user_password

## userinfo

char* _i_session::userinfo

## userinfo_encryption_alg

jwa_alg _i_session::userinfo_encryption_alg

## userinfo_encryption_enc

jwa_enc _i_session::userinfo_encryption_enc

## userinfo_endpoint

char* _i_session::userinfo_endpoint

## userinfo_signing_alg

jwa_alg _i_session::userinfo_signing_alg

## username

char* _i_session::username

## x5u_flags

int _i_session::x5u_flags

The documentation for this struct was generated from the following file:

- include/iddawc.h